API reference

GET /api/v2/files

Files stored under the current project.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
cursorstringnoOpaque pagination cursor from a previous response.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "fil_gejapdqgmmilyj",
      "created_at": "2022-04-14T14:47:38Z",
      "filename": "n9u39d4r.pdf",
      "bytes": 16221375,
      "checksum": "sha256:hj9hw2gchqihqr2gi175rsbe0u86pmce"
    },
    {
      "id": "fil_nybarhynho3jam",
      "created_at": "2022-04-01T06:39:56Z",
      "filename": "py6e7tpp.txt",
      "bytes": 5027959,
      "checksum": "sha256:0tmzsuxdr18elms3ndymudg4ptuphypb"
    }
  ],
  "pagination": {
    "limit": 100,
    "count": 2,
    "has_more": false
  }
}

Example

curl -s https://asses.kelpstream.com/api/v2/files